Bug 13813 - Remove deprecated module C4::Dates from system - first steps
Summary: Remove deprecated module C4::Dates from system - first steps
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P3 enhancement (vote)
Assignee: Marc Véron
QA Contact: Marcel de Rooy
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 15939 16550
  Show dependency treegraph
 
Reported: 2015-03-10 07:37 UTC by Marc Véron
Modified: 2016-12-05 21:26 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Medium patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 13813 - Remove deprecated C4::Dates from opac/opac-showreviews.pl (1.81 KB, patch)
2015-03-12 08:30 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 13813 - Remove C4::Dates from members/readingrec.pl (1.26 KB, patch)
2015-03-12 09:23 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 13813 - Remove C4::Dates from C4/Items.pm (2.83 KB, patch)
2015-03-12 09:54 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 13813 - Remove C4::Dates from overdue_notices.pl (1.30 KB, patch)
2015-03-12 11:47 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 13813 - Remove C4::Dates from C4/Acquisition.pm (1.82 KB, patch)
2015-03-12 13:40 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 13813 - Remove superfluous use 'C4::Dates' from C4/HoldsQueue.pm (712 bytes, patch)
2015-03-12 14:03 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 13813 - Remove superfluous use 'C4::Dates' from Koha/Borrower/Files.pm (745 bytes, patch)
2015-03-12 14:44 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 13813 - Remove C4::Dates from PDF templates in acquisitions (3.22 KB, patch)
2015-03-12 15:20 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 13813 - Remove superfluous use 'C4::Dates' from Koha/Misc/Files.pm (827 bytes, patch)
2015-03-12 15:40 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 13813 - Remove superfluous use 'C4::Dates' from tags/list.pl (917 bytes, patch)
2015-03-12 20:24 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 13813 - Remove C4::Dates from C4/Members.pm (2.94 KB, patch)
2015-03-13 12:41 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 13813 - Remove C4::Dates from members/readingrec.pl (1.26 KB, patch)
2015-03-13 12:47 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 13813 - Remove C4::Dates from members/readingrec.pl (1.26 KB, patch)
2015-03-13 12:58 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 13813 - Remove C4::Dates from C4/Items.pm (2.83 KB, patch)
2015-03-13 13:03 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 13813 - Remove C4::Dates from C4/Items.pm (2.89 KB, patch)
2015-03-13 13:13 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 13813 - Remove C4::Dates from C4/Members.pm (2.96 KB, patch)
2015-03-13 13:23 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 13813 - Remove C4::Dates from C4/Barcodes/annual.pm (2.39 KB, patch)
2015-03-13 14:04 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 13813 - Remove C4::Dates from C4/Barcodes/hbyymmincr.pm (3.06 KB, patch)
2015-03-13 14:22 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 13813 - Remove superfluous use 'C4::Dates' from C4/Barcodes.pm (672 bytes, patch)
2015-03-13 14:31 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 13813 - Remove superfluous use 'C4::Dates' from C4/Biblio.pm (695 bytes, patch)
2015-03-13 14:41 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 13813 - Remove C4::Dates from C4/Log.pm (1.25 KB, patch)
2015-03-13 16:32 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 13813 - Remove C4::Dates from C4/NewsChannels.pm (1.83 KB, patch)
2015-03-13 17:09 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 13813 - Remove superfluous use 'C4::Dates' from C4/Output.pm (673 bytes, patch)
2015-03-13 17:22 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 13813 - Remove C4::Dates from C4/Suggestions.pm (1.87 KB, patch)
2015-03-14 15:33 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 13813 - Remove C4::Dates from C4/VirtualShelves/Page.pm (1.83 KB, patch)
2015-03-15 07:25 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 13813 - Remove C4::Dates from members/printinvoice.pl (1.31 KB, patch)
2015-03-15 08:13 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 13813 - Remove C4::Dates from members/printfeercpt.pl (1.41 KB, patch)
2015-03-15 08:35 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 13813 - Remove C4::Dates from circ/bookcount.pl (1.60 KB, patch)
2015-03-15 09:14 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 13813 - Remove superfluous use 'C4::Dates' from members/notices.pl (705 bytes, patch)
2015-03-15 09:37 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 13813 - Remove C4::Dates from members/guarantor_search.pl (1.32 KB, patch)
2015-03-15 10:01 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 13813 - Remove C4::Dates from members/moremember.pl (2.06 KB, patch)
2015-03-15 11:07 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 13813 - Remove superfluous use 'C4::Dates' from opac/opac-messaging.pl (735 bytes, patch)
2015-03-15 11:15 UTC, Marc Véron
Details | Diff | Splinter Review
Remove superfluous use 'C4::Dates' from opac/opac-privacy.pl (713 bytes, patch)
2015-03-15 11:23 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 13813 - Remove superfluous use 'C4::Dates' from opac/opac-ratings.pl (737 bytes, patch)
2015-03-15 11:27 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 13813 - Remove superfluous use 'C4::Dates' from opac/opac-search-history.pl (874 bytes, patch)
2015-03-15 11:36 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 13813 - Remove superfluous use 'C4::Dates' from opac/opac-search-history.pl (877 bytes, patch)
2015-03-15 11:40 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 13813 - Remove C4::Dates from opac/opac-user.pl (1.11 KB, patch)
2015-03-15 13:01 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 13813 - Remove C4::Dates from patroncards/members-search.pl (1.44 KB, patch)
2015-03-15 13:30 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 13813 - Remove C4::Dates from reserve/request.pl (3.07 KB, patch)
2015-03-15 14:14 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 13813 - Remove C4::Dates from circ/waitingreserves.pl (1.25 KB, patch)
2015-03-15 14:35 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 13813 - Remove C4::Dates from circ/circ/transferstoreceive.pl (1.24 KB, patch)
2015-03-15 14:45 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 13813 - Remove C4::Dates from cataloguing/value_builder/barcode.pl (1.43 KB, patch)
2015-03-15 16:05 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 13813 - Remove C4::Dates from cataloguing/value_builder/barcode_manual.pl (1.68 KB, patch)
2015-03-15 16:58 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 13813 - Remove C4::Dates from cataloguing/value_builder/dateaccessioned.pl (1.31 KB, patch)
2015-03-15 17:18 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 13813 - Remove C4::Dates from tools/koha-news.pl (1.57 KB, patch)
2015-03-15 17:41 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 13813 - Remove superfluous use 'C4::Dates' from opac/opac-search-history.pl (883 bytes, patch)
2015-03-15 17:56 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 13813 - Remove C4::Dates from tools/scheduler.pl (1.28 KB, patch)
2015-03-15 18:36 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 13813 - Remove C4::Dates from reserve/request.pl (3.16 KB, patch)
2015-03-25 16:20 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 13813 - Remove C4::Dates from C4/Acquisition.pm (1.89 KB, patch)
2015-04-13 12:13 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 13813 - Remove C4::Dates from PDF templates in acquisitions (3.25 KB, patch)
2015-04-13 12:28 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 13813 - Remove C4::Dates from C4/Acquisition.pm (1.75 KB, patch)
2015-04-13 12:40 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 13813 - Remove C4::Dates from C4/Acquisition.pm (1.99 KB, patch)
2015-04-13 12:55 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 13813 - Remove C4::Dates from C4/Acquisition.pm (1.75 KB, patch)
2015-04-13 12:58 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 13813 - Remove C4::Dates from circ/circ/transferstoreceive.pl (1.28 KB, patch)
2015-04-13 14:10 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 13813 - Remove C4::Dates from cataloguing/value_builder/barcode_manual.pl (1.71 KB, patch)
2015-04-13 14:18 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 13813 - Remove C4::Dates from cataloguing/value_builder/dateaccessioned.pl (1.34 KB, patch)
2015-04-13 14:24 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 13813 - Remove C4::Dates from members/readingrec.pl (1.29 KB, patch)
2015-04-13 14:36 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 13813 - Remove C4::Dates from C4/Items.pm (2.92 KB, patch)
2015-04-13 14:42 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 13813 - Remove C4::Dates from C4/Members.pm (3.08 KB, patch)
2015-04-13 14:50 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 13813 - Remove C4::Dates from C4/Barcodes/annual.pm (2.42 KB, patch)
2015-04-13 15:37 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 13813 - Remove C4::Dates from C4/Barcodes/hbyymmincr.pm (3.09 KB, patch)
2015-04-13 15:42 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 13813 - Remove C4::Dates from C4/Suggestions.pm (1.90 KB, patch)
2015-04-13 15:46 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 13813 - Remove C4::Dates from members/moremember.pl (2.10 KB, patch)
2015-04-13 15:49 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 13813 - Remove C4::Dates from circ/waitingreserves.pl (1.28 KB, patch)
2015-04-13 15:56 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 13813 - Remove C4::Dates from cataloguing/value_builder/barcode.pl (1.46 KB, patch)
2015-04-13 16:01 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 13813 - Remove C4::Dates from PDF templates in acquisitions (3.25 KB, patch)
2015-04-13 16:22 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 13813 - Remove C4::Dates from C4/Acquisition.pm (1.77 KB, patch)
2015-04-13 16:28 UTC, Marc Véron
Details | Diff | Splinter Review
temporary tests (1.48 KB, application/x-perl)
2015-04-14 10:49 UTC, Jonathan Druart
Details
Bug 13813 - Remove C4::Dates from circ/waitingreserves.pl (1.32 KB, patch)
2015-04-14 18:07 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 13813 - Remove C4::Dates from members/readingrec.pl (1.33 KB, patch)
2015-04-14 18:51 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 13813 - Remove C4::Dates from members/printfeercpt.pl (1.47 KB, patch)
2015-04-14 20:11 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 13813 - Remove C4::Dates from members/readingrec.pl (1.35 KB, patch)
2015-04-14 20:29 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 13813 - Remove C4::Dates from members/printfeercpt.pl (1.47 KB, patch)
2015-04-14 20:33 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 13813 - Remove C4::Dates from members/printfeercpt.pl (1.47 KB, patch)
2015-04-14 20:36 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 13813 - Remove C4::Dates from members/printinvoice.pl (1.38 KB, patch)
2015-04-14 20:40 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 13813 - Remove deprecated C4::Dates from opac/opac-showreviews.pl (1.87 KB, patch)
2015-04-15 08:12 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 13813 - Remove superfluous use 'C4::Dates' from C4/HoldsQueue.pm (769 bytes, patch)
2015-04-15 08:12 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 13813 - Remove superfluous use 'C4::Dates' from Koha/Borrower/Files.pm (802 bytes, patch)
2015-04-15 08:12 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 13813 - Remove superfluous use 'C4::Dates' from Koha/Misc/Files.pm (884 bytes, patch)
2015-04-15 08:12 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 13813 - Remove superfluous use 'C4::Dates' from tags/list.pl (974 bytes, patch)
2015-04-15 08:12 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 13813 - Remove superfluous use 'C4::Dates' from C4/Barcodes.pm (729 bytes, patch)
2015-04-15 08:12 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 13813 - Remove superfluous use 'C4::Dates' from C4/Biblio.pm (752 bytes, patch)
2015-04-15 08:12 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 13813 - Remove C4::Dates from C4/Log.pm (1.31 KB, patch)
2015-04-15 08:12 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 13813 - Remove C4::Dates from C4/NewsChannels.pm (1.88 KB, patch)
2015-04-15 08:12 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 13813 - Remove superfluous use 'C4::Dates' from C4/Output.pm (730 bytes, patch)
2015-04-15 08:12 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 13813 - Remove C4::Dates from C4/VirtualShelves/Page.pm (1.89 KB, patch)
2015-04-15 08:12 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 13813 - Remove C4::Dates from circ/bookcount.pl (1.66 KB, patch)
2015-04-15 08:13 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 13813 - Remove superfluous use 'C4::Dates' from members/notices.pl (762 bytes, patch)
2015-04-15 08:13 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 13813 - Remove superfluous use 'C4::Dates' from opac/opac-messaging.pl (792 bytes, patch)
2015-04-15 08:13 UTC, Jonathan Druart
Details | Diff | Splinter Review
Remove superfluous use 'C4::Dates' from opac/opac-privacy.pl (770 bytes, patch)
2015-04-15 08:13 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 13813 - Remove superfluous use 'C4::Dates' from opac/opac-ratings.pl (794 bytes, patch)
2015-04-15 08:13 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 13813 - Remove C4::Dates from opac/opac-user.pl (1.16 KB, patch)
2015-04-15 08:13 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 13813 - Remove C4::Dates from tools/koha-news.pl (1.63 KB, patch)
2015-04-15 08:13 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 13813 - Remove superfluous use 'C4::Dates' from opac/opac-search-history.pl (940 bytes, patch)
2015-04-15 08:13 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 13813 - Remove C4::Dates from tools/scheduler.pl (1.33 KB, patch)
2015-04-15 08:13 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 13813 - Remove C4::Dates from circ/circ/transferstoreceive.pl (1.34 KB, patch)
2015-04-15 08:13 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 13813 - Remove C4::Dates from cataloguing/value_builder/barcode_manual.pl (1.77 KB, patch)
2015-04-15 08:13 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 13813 - Remove C4::Dates from cataloguing/value_builder/dateaccessioned.pl (1.40 KB, patch)
2015-04-15 08:13 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 13813 - Remove C4::Dates from C4/Items.pm (2.98 KB, patch)
2015-04-15 08:13 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 13813 - Remove C4::Dates from C4/Members.pm (3.13 KB, patch)
2015-04-15 08:13 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 13813 - Remove C4::Dates from C4/Barcodes/annual.pm (2.47 KB, patch)
2015-04-15 08:13 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 13813 - Remove C4::Dates from C4/Barcodes/hbyymmincr.pm (3.15 KB, patch)
2015-04-15 08:13 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 13813 - Remove C4::Dates from C4/Suggestions.pm (1.96 KB, patch)
2015-04-15 08:14 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 13813 - Remove C4::Dates from members/moremember.pl (2.15 KB, patch)
2015-04-15 08:14 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 13813 - Remove C4::Dates from cataloguing/value_builder/barcode.pl (1.52 KB, patch)
2015-04-15 08:14 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 13813 - Remove C4::Dates from PDF templates in acquisitions (3.29 KB, patch)
2015-04-15 08:14 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 13813 - Remove C4::Dates from C4/Acquisition.pm (1.83 KB, patch)
2015-04-15 08:14 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 13813 - Remove C4::Dates from circ/waitingreserves.pl (1.37 KB, patch)
2015-04-15 08:14 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 13813 - Remove C4::Dates from members/readingrec.pl (1.40 KB, patch)
2015-04-15 08:14 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 13813 - Remove C4::Dates from members/printfeercpt.pl (1.53 KB, patch)
2015-04-15 08:14 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 13813 - Remove C4::Dates from members/printinvoice.pl (1.43 KB, patch)
2015-04-15 08:14 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 13813 - (follow-up) Remove C4::Dates from C4/Members.pm (3.14 KB, patch)
2015-04-15 08:14 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 13813 - (follow-up) Remove C4::Dates from circ/bookcount.pl (1.14 KB, patch)
2015-04-15 08:14 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 13813: Fix compilation errors (1.21 KB, patch)
2015-04-15 08:14 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 13813 - Remove C4::Dates from C4/Acquisition.pm (1.88 KB, patch)
2015-05-29 08:36 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 13813 - Remove C4::Dates from circ/circ/transferstoreceive.pl (1.42 KB, patch)
2015-07-09 15:32 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 13813 - [Follow-up] Remove C4::Dates from C4/Acquisition.pm (728 bytes, patch)
2015-08-28 09:15 UTC, Marc Véron
Details | Diff | Splinter Review
[Follow-up] Bug 13813 - Remove C4::Dates from C4/Items.pm (863 bytes, patch)
2015-09-01 15:29 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 13813: Remove deprecated module C4::Dates from system (24.83 KB, patch)
2015-09-03 08:40 UTC, Marcel de Rooy
Details | Diff | Splinter Review
[Follow-up] Bug 13813 - Remove deprecated module C4::Dates from system (2.33 KB, patch)
2015-09-03 09:53 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 13813: Remove deprecated module C4::Dates from system (24.89 KB, patch)
2015-09-03 10:40 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 13813 - Remove deprecated module C4::Dates from system (2.42 KB, patch)
2015-09-03 10:40 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 13813: [QA Follow-up] Fix some tabs for qa tools (3.17 KB, patch)
2015-09-03 10:40 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marc Véron 2015-03-10 07:37:48 UTC
The use of C4::Dates module is deprecated since June 2014. It has been superseded by Koha::DateUtils. 
See: http://wiki.koha-community.org/wiki/Coding_Guidelines

Some functionality should be moved to Koha::DateUtils and it should be removed step by step from the system.
Comment 1 Marc Véron 2015-03-12 08:30:09 UTC Comment hidden (obsolete)
Comment 2 Marc Véron 2015-03-12 08:37:36 UTC
Note: Patch "Bug 13813 - Remove deprecated C4::Dates from opac/opac-showreviews.pl" does not depend from Bug 13601
Comment 3 Marc Véron 2015-03-12 09:23:38 UTC Comment hidden (obsolete)
Comment 4 Marc Véron 2015-03-12 09:54:49 UTC Comment hidden (obsolete)
Comment 5 Marc Véron 2015-03-12 11:47:29 UTC Comment hidden (obsolete)
Comment 6 Marc Véron 2015-03-12 13:40:57 UTC Comment hidden (obsolete)
Comment 7 Marc Véron 2015-03-12 14:03:58 UTC Comment hidden (obsolete)
Comment 8 Marc Véron 2015-03-12 14:44:47 UTC Comment hidden (obsolete)
Comment 9 Marc Véron 2015-03-12 15:20:17 UTC Comment hidden (obsolete)
Comment 10 Marc Véron 2015-03-12 15:40:14 UTC Comment hidden (obsolete)
Comment 11 Marc Véron 2015-03-12 20:24:51 UTC Comment hidden (obsolete)
Comment 12 Marc Véron 2015-03-12 20:38:39 UTC
Note: Previous patches are independent from each other.

More patches to come will need changes to Koha/DateUtils.pm (reason for dependency form Bug 13601
Comment 13 Marc Véron 2015-03-13 12:41:15 UTC Comment hidden (obsolete)
Comment 14 Marc Véron 2015-03-13 12:47:06 UTC Comment hidden (obsolete)
Comment 15 Marc Véron 2015-03-13 12:58:21 UTC Comment hidden (obsolete)
Comment 16 Marc Véron 2015-03-13 13:03:55 UTC Comment hidden (obsolete)
Comment 17 Marc Véron 2015-03-13 13:13:57 UTC Comment hidden (obsolete)
Comment 18 Marc Véron 2015-03-13 13:23:25 UTC Comment hidden (obsolete)
Comment 19 Marc Véron 2015-03-13 14:04:07 UTC Comment hidden (obsolete)
Comment 20 Marc Véron 2015-03-13 14:22:19 UTC Comment hidden (obsolete)
Comment 21 Marc Véron 2015-03-13 14:31:59 UTC Comment hidden (obsolete)
Comment 22 Marc Véron 2015-03-13 14:41:23 UTC Comment hidden (obsolete)
Comment 23 Marc Véron 2015-03-13 16:32:00 UTC Comment hidden (obsolete)
Comment 24 Marc Véron 2015-03-13 17:09:31 UTC Comment hidden (obsolete)
Comment 25 Marc Véron 2015-03-13 17:22:33 UTC Comment hidden (obsolete)
Comment 26 Marc Véron 2015-03-14 15:33:34 UTC Comment hidden (obsolete)
Comment 27 Marc Véron 2015-03-15 07:25:24 UTC Comment hidden (obsolete)
Comment 28 Marc Véron 2015-03-15 08:13:15 UTC Comment hidden (obsolete)
Comment 29 Marc Véron 2015-03-15 08:35:41 UTC Comment hidden (obsolete)
Comment 30 Marc Véron 2015-03-15 09:14:25 UTC Comment hidden (obsolete)
Comment 31 Marc Véron 2015-03-15 09:37:05 UTC Comment hidden (obsolete)
Comment 32 Marc Véron 2015-03-15 10:01:14 UTC Comment hidden (obsolete)
Comment 33 Marc Véron 2015-03-15 11:07:44 UTC Comment hidden (obsolete)
Comment 34 Marc Véron 2015-03-15 11:15:53 UTC Comment hidden (obsolete)
Comment 35 Marc Véron 2015-03-15 11:23:38 UTC Comment hidden (obsolete)
Comment 36 Marc Véron 2015-03-15 11:27:24 UTC Comment hidden (obsolete)
Comment 37 Marc Véron 2015-03-15 11:36:23 UTC Comment hidden (obsolete)
Comment 38 Marc Véron 2015-03-15 11:40:31 UTC Comment hidden (obsolete)
Comment 39 Marc Véron 2015-03-15 13:01:36 UTC Comment hidden (obsolete)
Comment 40 Marc Véron 2015-03-15 13:30:51 UTC Comment hidden (obsolete)
Comment 41 Marc Véron 2015-03-15 14:14:14 UTC Comment hidden (obsolete)
Comment 42 Marc Véron 2015-03-15 14:35:21 UTC Comment hidden (obsolete)
Comment 43 Marc Véron 2015-03-15 14:45:20 UTC Comment hidden (obsolete)
Comment 44 Marc Véron 2015-03-15 16:05:33 UTC Comment hidden (obsolete)
Comment 45 Marc Véron 2015-03-15 16:58:09 UTC Comment hidden (obsolete)
Comment 46 Marc Véron 2015-03-15 17:18:34 UTC Comment hidden (obsolete)
Comment 47 Marc Véron 2015-03-15 17:41:58 UTC Comment hidden (obsolete)
Comment 48 Marc Véron 2015-03-15 17:56:00 UTC Comment hidden (obsolete)
Comment 49 Marc Véron 2015-03-15 18:36:07 UTC Comment hidden (obsolete)
Comment 50 Marc Véron 2015-03-15 20:09:07 UTC
So far, deprecated C4::Date is removed from 40+ files

I would appreciate if somebody could start signing off. I added a patch and a test plan for every file. Most of the changes and tests ar rather trivial.

Please be aware that for parts of the patches depend on Bug 13601.

There are still about 90 files left with C4::Date - it still will be al long way until we can have more international date formats (like dd.mm.yyyy - blocked Bug 12072).
Comment 51 Marc Véron 2015-03-24 11:04:10 UTC
Comment on attachment 36884 [details] [review]
Bug 13813 - Remove C4::Dates from members/guarantor_search.pl

Obsoleted because no longer necessary.
Comment 52 Marc Véron 2015-03-25 16:20:29 UTC Comment hidden (obsolete)
Comment 53 Marc Véron 2015-04-02 16:54:58 UTC
Comment on attachment 37227 [details] [review]
Bug 13813 - Remove C4::Dates from reserve/request.pl

Obsoleted because of merge conflicts. Will add new patch later. /MV
Comment 54 Marc Véron 2015-04-10 15:08:32 UTC
Comment on attachment 36830 [details] [review]
Bug 13813 - Remove C4::Dates from overdue_notices.pl

Obsoleted because not sure if three-was-merge will break things.
Comment 55 Jonathan Druart 2015-04-13 09:26:47 UTC
Minor since I suppose it existed before:

 FAIL   cataloguing/value_builder/dateaccessioned.pl
   FAIL   forbidden patterns
                forbidden pattern: tab char (line 54)

 FAIL   members/moremember.pl
   FAIL   forbidden patterns
                forbidden pattern: tab char (line 136)
 FAIL   C4/Barcodes/hbyymmincr.pm
   FAIL   forbidden patterns
                forbidden pattern: tab char (line 76)
                forbidden pattern: tab char (line 106)

 FAIL   C4/Barcodes/annual.pm
   FAIL   forbidden patterns
                forbidden pattern: tab char (line 84)
                forbidden pattern: tab char (line 63)
                forbidden pattern: tab char (line 49)
                forbidden pattern: tab char (line 46)
                forbidden pattern: tab char (line 52)

 FAIL   C4/Items.pm
   FAIL   forbidden patterns
                forbidden pattern: trailing space char (line 650)

 FAIL   members/readingrec.pl
   FAIL   forbidden patterns
                forbidden pattern: trailing space char (line 81)



Could you explain why you replaced

-        my $rsstimestamp = C4::Dates->new($result->{datereviewed},"iso");
-        my $rsstimestamp_output = $rsstimestamp->output("rfc822");
-        $result->{timestamp} = $rsstimestamp_output;
+        $result->{timestamp} = strftime("%Y-%m-%dT%H:%M:%S-00:00", gmtime);

and 

-    $datereceived = C4::Dates->output('iso') unless $datereceived;
+    $datereceived = output_pref({ dt=>DateTime->now(), dateonly=>1, otputpref=>'iso' }) unless $datereceived;

I would use Koha::DateUtils everywhere.
Comment 56 Marc Véron 2015-04-13 10:51:30 UTC
Hi Jonathan,

Regarding forbidden chars like tabs: I did not clean up existing things.

Regarding your questions:

I propose to obsolete the following patches and do them in a next step:

"Remove deprecated C4::Dates from opac/opac-showreviews.pl"
"Remove C4::Dates from C4/Acquisition.pm"

If there are more patches where you have questions or concerns about please do not hesitate to obsolete them. My aim is to have done the "easy ones" in a first round.
Comment 57 Jonathan Druart 2015-04-13 11:37:17 UTC
Comment on attachment 36831 [details] [review]
Bug 13813 - Remove C4::Dates from C4/Acquisition.pm

Review of attachment 36831 [details] [review]:
-----------------------------------------------------------------

::: C4/Acquisition.pm
@@ +1399,4 @@
>      my $order_vendornote = $params->{order_vendornote};
>  
>      my $dbh = C4::Context->dbh;
> +    $datereceived = output_pref({ dt=>DateTime->now(), dateonly=>1, otputpref=>'iso' }) unless $datereceived;

otputpref should be dateformat :)
Comment 58 Jonathan Druart 2015-04-13 12:00:52 UTC
Comment on attachment 36836 [details] [review]
Bug 13813 - Remove C4::Dates from PDF templates in acquisitions

Review of attachment 36836 [details] [review]:
-----------------------------------------------------------------

::: acqui/pdfformat/layout2pages.pm
@@ +171,4 @@
>      $text->text($basketgroup->{'id'});
>      
>      # print the date
> +    my $today = output_pref({ dt=>DateTime->now(), dateonly=>1 });

Should be
  output_pref({ dt => dt_from_string, dateonly => 1 });
Comment 59 Jonathan Druart 2015-04-13 12:02:12 UTC
Comment on attachment 36831 [details] [review]
Bug 13813 - Remove C4::Dates from C4/Acquisition.pm

Review of attachment 36831 [details] [review]:
-----------------------------------------------------------------

::: C4/Acquisition.pm
@@ +27,5 @@
>  use C4::Biblio;
>  use C4::Contract;
>  use C4::Debug;
>  use C4::Templates qw(gettemplate);
> +use Koha::DateUtils;

Hum, why?
Comment 60 Jonathan Druart 2015-04-13 12:04:05 UTC
(In reply to Marc Véron from comment #56)
> Hi Jonathan,
> 
> Regarding forbidden chars like tabs: I did not clean up existing things.
> 
> Regarding your questions:
> 
> I propose to obsolete the following patches and do them in a next step:
> 
> "Remove deprecated C4::Dates from opac/opac-showreviews.pl"
> "Remove C4::Dates from C4/Acquisition.pm"
> 
> If there are more patches where you have questions or concerns about please
> do not hesitate to obsolete them. My aim is to have done the "easy ones" in
> a first round.

No, keep it. Koha::DateUtils does not support rfc822 format, so I am fine for using strftime.
Comment 61 Marc Véron 2015-04-13 12:13:45 UTC Comment hidden (obsolete)
Comment 62 Marc Véron 2015-04-13 12:28:20 UTC Comment hidden (obsolete)
Comment 63 Marc Véron 2015-04-13 12:40:45 UTC Comment hidden (obsolete)
Comment 64 Marc Véron 2015-04-13 12:43:46 UTC
Comment on attachment 37732 [details] [review]
Bug 13813 - Remove C4::Dates from C4/Acquisition.pm

Sorry, something went wrong with this amendement, re-activating previous patch.
Comment 65 Marc Véron 2015-04-13 12:55:13 UTC Comment hidden (obsolete)
Comment 66 Marc Véron 2015-04-13 12:58:09 UTC Comment hidden (obsolete)
Comment 67 Marc Véron 2015-04-13 14:10:42 UTC Comment hidden (obsolete)
Comment 68 Marc Véron 2015-04-13 14:18:20 UTC Comment hidden (obsolete)
Comment 69 Marc Véron 2015-04-13 14:24:56 UTC Comment hidden (obsolete)
Comment 70 Marc Véron 2015-04-13 14:36:28 UTC Comment hidden (obsolete)
Comment 71 Marc Véron 2015-04-13 14:42:18 UTC Comment hidden (obsolete)
Comment 72 Marc Véron 2015-04-13 14:50:10 UTC Comment hidden (obsolete)
Comment 73 Marc Véron 2015-04-13 15:37:42 UTC Comment hidden (obsolete)
Comment 74 Marc Véron 2015-04-13 15:42:24 UTC Comment hidden (obsolete)
Comment 75 Marc Véron 2015-04-13 15:46:04 UTC Comment hidden (obsolete)
Comment 76 Marc Véron 2015-04-13 15:49:23 UTC Comment hidden (obsolete)
Comment 77 Marc Véron 2015-04-13 15:56:19 UTC Comment hidden (obsolete)
Comment 78 Marc Véron 2015-04-13 16:01:19 UTC Comment hidden (obsolete)
Comment 79 Marc Véron 2015-04-13 16:22:55 UTC Comment hidden (obsolete)
Comment 80 Marc Véron 2015-04-13 16:28:41 UTC Comment hidden (obsolete)
Comment 81 Marc Véron 2015-04-13 16:44:37 UTC
Comment on attachment 36893 [details] [review]
Bug 13813 - Remove C4::Dates from patroncards/members-search.pl

CONFLICT (modify/delete): patroncards/members-search.pl deleted in HEAD and modified in Bug 13813
Comment 82 Jonathan Druart 2015-04-14 10:49:42 UTC Comment hidden (obsolete)
Comment 83 Marc Véron 2015-04-14 18:07:33 UTC Comment hidden (obsolete)
Comment 84 Marc Véron 2015-04-14 18:51:54 UTC Comment hidden (obsolete)
Comment 85 Marc Véron 2015-04-14 20:11:52 UTC Comment hidden (obsolete)
Comment 86 Marc Véron 2015-04-14 20:29:33 UTC Comment hidden (obsolete)
Comment 87 Marc Véron 2015-04-14 20:33:18 UTC Comment hidden (obsolete)
Comment 88 Marc Véron 2015-04-14 20:36:44 UTC Comment hidden (obsolete)
Comment 89 Marc Véron 2015-04-14 20:40:53 UTC Comment hidden (obsolete)
Comment 90 Marc Véron 2015-04-14 21:02:03 UTC
(In reply to Jonathan Druart from comment #82)
> Created attachment 37810 [details]
> temporary tests
> 
> Marc,
> If I am not wrong, these tests reflect what you are doing in the patches.
> If you have a look, you will see there are some mistakes.
(...)
> You should try to list exhaustively all existing patterns of C4::Dates you
> will replace and try to find their correct replacements.

Jonathan,

Thank you very much for your help, your advice and for the idea with the test file. I used it as a base to go systematically through all attachments (and amended some of them). I tested the patches one by one in the staff client as well and hope now that this first patch set is really ready for sign-off.

Marc
Comment 91 Jonathan Druart 2015-04-15 07:40:07 UTC
Comment on attachment 37757 [details] [review]
Bug 13813 - Remove C4::Dates from C4/Members.pm

Review of attachment 37757 [details] [review]:
-----------------------------------------------------------------

::: C4/Members.pm
@@ +2363,4 @@
>      my @results;
>  
>      while ( my $data = $sth->fetchrow_hashref ) {
> +        $data->{message_date_formatted} = output_pref({ dt => dt_from_string( $data->{message_date} ), dateformat => 'iso', dateonly => 1 });

We don't want an iso formatted date here.
Comment 92 Jonathan Druart 2015-04-15 07:41:13 UTC
Comment on attachment 36882 [details] [review]
Bug 13813 - Remove C4::Dates from circ/bookcount.pl

Review of attachment 36882 [details] [review]:
-----------------------------------------------------------------

::: circ/bookcount.pl
@@ +86,4 @@
>      biblioitemnumber        => $bi,
>      homebranch              => $homebranch,
>      holdingbranch           => $holdingbranch,
> +    lastdate                => $lastdate ? output_pref({ dt => dt_from_string( $lastdate ), dateformat => 'iso', dateonly => 1 }) : 0,

Not correct, we want a formatted date.

@@ +177,4 @@
>      my ($date) = @_;
>      $date or return;
>      return (
> +        output_pref({ dt => dt_from_string( $date, 'iso' ), dateonly => 1 }),

This is correct.
Comment 93 Jonathan Druart 2015-04-15 08:00:22 UTC
Comment on attachment 36900 [details] [review]
Bug 13813 - Remove C4::Dates from tools/koha-news.pl

Review of attachment 36900 [details] [review]:
-----------------------------------------------------------------

::: tools/koha-news.pl
@@ +40,5 @@
>  my $id             = $cgi->param('id');
>  my $title          = $cgi->param('title');
>  my $new            = $cgi->param('new');
> +my $expirationdate = output_pref({ dt => dt_from_string( $cgi->param('expirationdate') ), dateformat => 'iso', dateonly => 1 });
> +my $timestamp      = output_pref({ dt => dt_from_string( $cgi->param('timestamp') ), dateformat => 'iso', dateonly => 1 });

Not sure about this but it does not seem to break anything.
Comment 94 Jonathan Druart 2015-04-15 08:12:20 UTC Comment hidden (obsolete)
Comment 95 Jonathan Druart 2015-04-15 08:12:24 UTC Comment hidden (obsolete)
Comment 96 Jonathan Druart 2015-04-15 08:12:27 UTC Comment hidden (obsolete)
Comment 97 Jonathan Druart 2015-04-15 08:12:31 UTC Comment hidden (obsolete)
Comment 98 Jonathan Druart 2015-04-15 08:12:35 UTC Comment hidden (obsolete)
Comment 99 Jonathan Druart 2015-04-15 08:12:38 UTC Comment hidden (obsolete)
Comment 100 Jonathan Druart 2015-04-15 08:12:42 UTC Comment hidden (obsolete)
Comment 101 Jonathan Druart 2015-04-15 08:12:46 UTC Comment hidden (obsolete)
Comment 102 Jonathan Druart 2015-04-15 08:12:49 UTC Comment hidden (obsolete)
Comment 103 Jonathan Druart 2015-04-15 08:12:53 UTC Comment hidden (obsolete)
Comment 104 Jonathan Druart 2015-04-15 08:12:57 UTC Comment hidden (obsolete)
Comment 105 Jonathan Druart 2015-04-15 08:13:01 UTC Comment hidden (obsolete)
Comment 106 Jonathan Druart 2015-04-15 08:13:04 UTC Comment hidden (obsolete)
Comment 107 Jonathan Druart 2015-04-15 08:13:08 UTC Comment hidden (obsolete)
Comment 108 Jonathan Druart 2015-04-15 08:13:12 UTC Comment hidden (obsolete)
Comment 109 Jonathan Druart 2015-04-15 08:13:16 UTC Comment hidden (obsolete)
Comment 110 Jonathan Druart 2015-04-15 08:13:20 UTC Comment hidden (obsolete)
Comment 111 Jonathan Druart 2015-04-15 08:13:23 UTC Comment hidden (obsolete)
Comment 112 Jonathan Druart 2015-04-15 08:13:27 UTC Comment hidden (obsolete)
Comment 113 Jonathan Druart 2015-04-15 08:13:31 UTC Comment hidden (obsolete)
Comment 114 Jonathan Druart 2015-04-15 08:13:35 UTC Comment hidden (obsolete)
Comment 115 Jonathan Druart 2015-04-15 08:13:39 UTC Comment hidden (obsolete)
Comment 116 Jonathan Druart 2015-04-15 08:13:42 UTC Comment hidden (obsolete)
Comment 117 Jonathan Druart 2015-04-15 08:13:46 UTC Comment hidden (obsolete)
Comment 118 Jonathan Druart 2015-04-15 08:13:50 UTC Comment hidden (obsolete)
Comment 119 Jonathan Druart 2015-04-15 08:13:54 UTC Comment hidden (obsolete)
Comment 120 Jonathan Druart 2015-04-15 08:13:58 UTC Comment hidden (obsolete)
Comment 121 Jonathan Druart 2015-04-15 08:14:02 UTC Comment hidden (obsolete)
Comment 122 Jonathan Druart 2015-04-15 08:14:06 UTC Comment hidden (obsolete)
Comment 123 Jonathan Druart 2015-04-15 08:14:09 UTC Comment hidden (obsolete)
Comment 124 Jonathan Druart 2015-04-15 08:14:13 UTC Comment hidden (obsolete)
Comment 125 Jonathan Druart 2015-04-15 08:14:17 UTC Comment hidden (obsolete)
Comment 126 Jonathan Druart 2015-04-15 08:14:21 UTC Comment hidden (obsolete)
Comment 127 Jonathan Druart 2015-04-15 08:14:25 UTC Comment hidden (obsolete)
Comment 128 Jonathan Druart 2015-04-15 08:14:29 UTC Comment hidden (obsolete)
Comment 129 Jonathan Druart 2015-04-15 08:14:33 UTC Comment hidden (obsolete)
Comment 130 Jonathan Druart 2015-04-15 08:14:37 UTC Comment hidden (obsolete)
Comment 131 Jonathan Druart 2015-04-15 08:14:41 UTC Comment hidden (obsolete)
Comment 132 Jonathan Druart 2015-04-15 08:14:44 UTC Comment hidden (obsolete)
Comment 133 Jonathan Druart 2015-04-15 08:15:55 UTC
To be honest, I did not check all pages. But looking at the code it should be all right now.
I tried some pages and dates look correctly formatted.
Comment 134 Jonathan Druart 2015-04-15 08:18:02 UTC
(In reply to Jonathan Druart from comment #93)
> Comment on attachment 36900 [details] [review] [review]
> Bug 13813 - Remove C4::Dates from tools/koha-news.pl
> 
> Review of attachment 36900 [details] [review] [review]:
> -----------------------------------------------------------------
> 
> ::: tools/koha-news.pl
> @@ +40,5 @@
> >  my $id             = $cgi->param('id');
> >  my $title          = $cgi->param('title');
> >  my $new            = $cgi->param('new');
> > +my $expirationdate = output_pref({ dt => dt_from_string( $cgi->param('expirationdate') ), dateformat => 'iso', dateonly => 1 });
> > +my $timestamp      = output_pref({ dt => dt_from_string( $cgi->param('timestamp') ), dateformat => 'iso', dateonly => 1 });
> 
> Not sure about this but it does not seem to break anything.

For QAer, have a look at this. I don't see the timestamp param set in the template.
On the list view, before the patch, I got:

koha-news.pl: Usage: POSIX::strftime(fmt, sec, min, hour, mday, mon, year, wday = -1, yday = -1, isdst = -1) at /home/koha/src/C4/Dates.pm line 187.
koha-news.pl:        ...caught at /home/koha/src/tools/koha-news.pl line 45.
Comment 135 Jonathan Druart 2015-04-15 08:22:35 UTC
Something else: I did not try but... C4::Dates was (is) very efficient to format a date from an iso date.
Now we have to call dt_from_string and output_pref.
Maybe we should introduce a new subroutine without calls to DateTime to do this job.
Comment 136 Jonathan Druart 2015-04-15 08:28:37 UTC
(In reply to Jonathan Druart from comment #135)
> Something else: I did not try but... C4::Dates was (is) very efficient to
> format a date from an iso date.
> Now we have to call dt_from_string and output_pref.
> Maybe we should introduce a new subroutine without calls to DateTime to do
> this job.

% more t.pl
use C4::Dates qw(format_date);
my $iso_date = '2015-04-10 09:30:03';
for ( 1 .. 10000 ) {
    format_date($iso_date);
}
% time perl t.pl
perl t.pl  0.78s user 0.01s system 99% cpu 0.795 total
% time perl t.pl
perl t.pl  0.74s user 0.01s system 99% cpu 0.749 total
% time perl t.pl
perl t.pl  0.71s user 0.02s system 99% cpu 0.735 total


% more t.pl
use Koha::DateUtils;
my $iso_date = '2015-04-10 09:30:03';
for ( 1 .. 10000 ) {
    output_pref({ dt => dt_from_string( $iso_date, 'iso' ), dateonly => 1 });
}

% time perl t.pl
perl t.pl  2.40s user 0.02s system 100% cpu 2.424 total
% time perl t.pl
perl t.pl  2.42s user 0.02s system 99% cpu 2.442 total
% time perl t.pl
perl t.pl  2.43s user 0.01s system 100% cpu 2.439 total
Comment 137 Marc Véron 2015-04-15 08:39:23 UTC
(In reply to Jonathan Druart from comment #135)
> Something else: I did not try but... C4::Dates was (is) very efficient to
> format a date from an iso date.
> Now we have to call dt_from_string and output_pref.
> Maybe we should introduce a new subroutine without calls to DateTime to do
> this job.

I was thinking about adding new functions to Koha::DateUtils mostly to streamline the transition process to Koha::DateUtils (easier and more human readable calls) but I was afraid that that would slow down the changes. (I'm eager to get Bug 12072 resolved.)
I think if calls to dt_from_string and output_pref turn up to be to time costly e.g. in big loops we can resolve this in a follow up.
Comment 138 Marc Véron 2015-05-04 10:12:09 UTC
Patches still apply on current master
Comment 139 Marc Véron 2015-05-29 08:36:26 UTC Comment hidden (obsolete)
Comment 140 Marcel de Rooy 2015-07-03 08:37:23 UTC
The number of patches this report touches does not justify the trivial patch status imo btw..
Comment 141 Marcel de Rooy 2015-07-03 08:38:10 UTC
(In reply to Marcel de Rooy from comment #140)
> The number of patches this report touches does not justify the trivial patch
> status imo btw..

patches -> files OR touches -> includes :)
Comment 142 Marc Véron 2015-07-05 14:49:01 UTC
Comment on attachment 37868 [details] [review]
Bug 13813 - Remove superfluous use 'C4::Dates' from opac/opac-ratings.pl

Obsoleted because int hte meantime the line use C4::Dates qw(format_date) was removed.
Comment 143 Marc Véron 2015-07-09 15:32:00 UTC Comment hidden (obsolete)
Comment 144 Marc Véron 2015-08-28 07:34:03 UTC
Still applies. 
Still blocks Bug 12072: New dateformat dd.mm.yyyy
Comment 145 Marcel de Rooy 2015-08-28 08:32:33 UTC
(In reply to Marc Véron from comment #144)
> Still applies. 
> Still blocks Bug 12072: New dateformat dd.mm.yyyy

Will have a look now. But the number of patches here is scary..
Do not know if I can finish this in one session.
Comment 146 Marcel de Rooy 2015-08-28 08:41:04 UTC
Marc: Why do you add MARC::Record in Acquisition.pm?
Comment 147 Jonathan Druart 2015-08-28 08:41:31 UTC
(In reply to Marcel de Rooy from comment #145)
> (In reply to Marc Véron from comment #144)
> > Still applies. 
> > Still blocks Bug 12072: New dateformat dd.mm.yyyy
> 
> Will have a look now. But the number of patches here is scary..
> Do not know if I can finish this in one session.

It's almost always the same changes.
See comments 134-136
Comment 148 Jonathan Druart 2015-08-28 08:43:52 UTC
(In reply to Marcel de Rooy from comment #146)
> Marc: Why do you add MARC::Record in Acquisition.pm?

It's a bad merge conflict, in the local branch I have, there is only

-use C4::Dates qw(format_date format_date_in_iso);
 use MARC::Record;

Now there is 

 use C4::Dates qw(format_date format_date_in_iso);
+use MARC::Record;

It should be

-use C4::Dates qw(format_date format_date_in_iso);
-use MARC::Record;

:)
Comment 149 Jonathan Druart 2015-08-28 08:44:17 UTC
(In reply to Jonathan Druart from comment #148)
> It should be
> 
> -use C4::Dates qw(format_date format_date_in_iso);
> -use MARC::Record;
> 
> :)

Well no, it should be

-use C4::Dates qw(format_date format_date_in_iso);
Comment 150 Marcel de Rooy 2015-08-28 09:14:25 UTC
Apart from the previous question, here are the results of the Dutch jury:

 =head2 DelItem
@@ -2128,7 +2128,7 @@ C<items.withdrawn>

 sub _set_defaults_for_add {
     my $item = shift;
-    $item->{dateaccessioned} ||= C4::Dates->new->output('iso');
+    $item->{dateaccessioned} || output_pref({ dt => dt_from_string, dateformat => 'iso', dateonly => 1 });
     $item->{$_} ||= 0 for (qw( notforloan damaged itemlost withdrawn));
 }
OOPS: You lost an important character || instead of ||= !!!!!!! 


C4/Members: $data->{message_date_formatted} = $d->output;   [ no longer added ]   GetMessages
Not sure if you also resolved all calls of this sub accordingly.
Could you confirm?

C4/VirtualShelves
-                    $this_item->{'dateadded'} = format_date( $this_item->{'dateadded'} );
+                    $this_item->{'dateadded'} = output_pref({ dt => dt_from_string( $this_item->{'dateadded'} ), dateformat => 'iso', dateonly => 1 });
No iso ?

circ.bookcount
-    lastdate                => $lastdate ?  format_date($lastdate) : 0,
+    lastdate                => $lastdate ? output_pref({ dt => dt_from_string( $lastdate, 'iso' ), dateonly => 1 }) : 0,
No iso? 

-        format_date($date),
+        output_pref({ dt => dt_from_string( $date, 'iso' ), dateonly => 1 }),
Again.

moremember
+        $template->param( 'userdebarreddate' => output_pref({ dt => dt_from_string( $debar, 'iso' ), dateonly => 1 }) );
Looks different

members/printfeercpt.pl
-    my %row = ( 'date'              => format_date($accts->[$i]{'date'}),
+    my %row = ( 'date'              => output_pref({ dt => dt_from_string( $accts->[$i]{'date'}, 'iso' ), dateonly => 1 }),
No iso?

members/printinvoice.pl
Again

opac-showreviews.pl
+        timestamp => strftime("%Y-%m-%dT%H:%M:%S-00:00", gmtime),
Could you confirm this is the same as rfc822
Since I see it more, would this be something for the KohaDates module too ?
Comment 151 Marc Véron 2015-08-28 09:15:00 UTC Comment hidden (obsolete)
Comment 152 Marc Véron 2015-08-28 13:33:07 UTC
Hi Marcel,

Thanks a lot for QAing. I really appreciate.

Question: 
Can we remove the 'problematic' patches from this huge patch set and then do a second round (maybe with a new bug number) after the 'unproblematic' patches have been pushed?

Marc
Comment 153 Marcel de Rooy 2015-09-01 10:27:01 UTC
(In reply to Marc Véron from comment #152)
> Hi Marcel,
> 
> Thanks a lot for QAing. I really appreciate.
> 
> Question: 
> Can we remove the 'problematic' patches from this huge patch set and then do
> a second round (maybe with a new bug number) after the 'unproblematic'
> patches have been pushed?
> 
> Marc

It seems to that your corrections should not be that hard or time consuming.
I would favor to reduce the number of patches here. There is no particular need to add a patch for each module or script.

But of course, I have no objection if you move some patches elsewhere.

Please set back to SO if you are ready..
Comment 154 Marc Véron 2015-09-01 15:13:01 UTC
Comment on attachment 37853 [details] [review]
Bug 13813 - Remove deprecated C4::Dates from opac/opac-showreviews.pl

Removed - Will be done in "second round"
Comment 155 Marc Véron 2015-09-01 15:14:53 UTC
Comment on attachment 37887 [details] [review]
Bug 13813 - Remove C4::Dates from members/printfeercpt.pl

Removed  - will be done in "second round"
Comment 156 Marc Véron 2015-09-01 15:15:57 UTC
Comment on attachment 37881 [details] [review]
Bug 13813 - Remove C4::Dates from members/moremember.pl

Removed - will be done in "second round"
Comment 157 Marc Véron 2015-09-01 15:18:00 UTC
Comment on attachment 37864 [details] [review]
Bug 13813 - Remove C4::Dates from circ/bookcount.pl

Removed - will be done in "second round"
Comment 158 Marc Véron 2015-09-01 15:18:29 UTC
Comment on attachment 37890 [details] [review]
Bug 13813 - (follow-up) Remove C4::Dates from circ/bookcount.pl

Removed - will be done in "second round"
Comment 159 Marc Véron 2015-09-01 15:19:35 UTC
Comment on attachment 37863 [details] [review]
Bug 13813 - Remove C4::Dates from C4/VirtualShelves/Page.pm

Removed - Will be done in "second round"
Comment 160 Marc Véron 2015-09-01 15:20:54 UTC
Comment on attachment 37877 [details] [review]
Bug 13813 - Remove C4::Dates from C4/Members.pm

Removed - Will be done in "second round"
Comment 161 Marc Véron 2015-09-01 15:21:26 UTC
Comment on attachment 37889 [details] [review]
Bug 13813 - (follow-up) Remove C4::Dates from C4/Members.pm

Removed - will be done in "second round"
Comment 162 Marc Véron 2015-09-01 15:29:24 UTC Comment hidden (obsolete)
Comment 163 Marcel de Rooy 2015-09-03 08:40:11 UTC Comment hidden (obsolete)
Comment 164 Marcel de Rooy 2015-09-03 08:44:51 UTC
Comment on attachment 37810 [details]
temporary tests

I ran this test, but it failed.
Illegal date specified (year = 2014, month = 31, day = 01) at dates_compare.t line 17
The 'month' parameter ("31") to DateTime::new did not pass the 'an integer between 1 and 12' callback
Comment 165 Marcel de Rooy 2015-09-03 08:46:37 UTC
Second QA round:

circ/transferstoreceive.pl
-    show_date    => format_date(C4::Dates->today('iso')),
+    show_date    => output_pref({ dt => dt_from_string, dateonly => 1 }),
No iso? Probably I did not catch this one in the first round :)

circ/waitingreserves.pl
-    show_date   => format_date(C4::Dates->today('iso')),
+    show_date   => output_pref({ dt => dt_from_string, dateonly => 1 }),
Same.

members/printinvoice.pl
You did still include this line, as marked in the "first round".

FQA
Comment 166 Marc Véron 2015-09-03 09:53:41 UTC Comment hidden (obsolete)
Comment 167 Marcel de Rooy 2015-09-03 10:40:17 UTC
Created attachment 42292 [details] [review]
Bug 13813: Remove deprecated module C4::Dates from system

Test plan: See Bugzilla.

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 168 Marcel de Rooy 2015-09-03 10:40:31 UTC
Created attachment 42293 [details] [review]
Bug 13813 - Remove deprecated module C4::Dates from system

Changes for QA comment #165

circ/transferstoreceive.pl
'iso' added

circ/waitingreserves.pl
'iso' added

members/printinvoice.pl
'iso' removed

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 169 Marcel de Rooy 2015-09-03 10:40:36 UTC
Created attachment 42294 [details] [review]
Bug 13813: [QA Follow-up] Fix some tabs for qa tools

FAIL   C4/Barcodes/annual.pm
   FAIL   forbidden patterns
                forbidden pattern: tab char (line 86)
                forbidden pattern: tab char (line 51)

FAIL   C4/Barcodes/hbyymmincr.pm
   FAIL   forbidden patterns
                forbidden pattern: tab char (line 108)
                forbidden pattern: tab char (line 78)

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 170 Marcel de Rooy 2015-09-03 10:40:55 UTC
Looks good to me now.
Did a full code review twice: found some small issues in both rounds.
Tested only some locations in the interface with all three settings of dateformat.
Added a follow-up to satisfy qa tools (trivial tabs).
This kind of change needs some broader exposure by an early push.
Comment 171 Tomás Cohen Arazi 2015-09-18 15:48:46 UTC
Patches pushed to master.

Thanks Marc! Clean it aaaaaaaaaall!
Comment 172 Jonathan Druart 2015-10-30 12:13:29 UTC
Comment on attachment 42292 [details] [review]
Bug 13813: Remove deprecated module C4::Dates from system

Review of attachment 42292 [details] [review]:
-----------------------------------------------------------------

::: C4/Suggestions.pm
@@ +179,5 @@
>          my $to   = $field . "_to";
>          if ( $suggestion->{$from} || $suggestion->{$to} ) {
>              push @query, qq{ AND suggestions.$field BETWEEN ? AND ? };
>              push @sql_params,
> +              output_pref({ dt => dt_from_string( $suggestion->{$from} ), dateformat => 'iso', dateonly => 1 }) || '0000-00-00';

This is wrong. Please provide a follow-up.
Before this patch the "from" date was 0000-00-00 if not filled, now it's today.
Comment 173 Katrin Fischer 2015-11-01 15:34:28 UTC
I think last comment is fixed with bug 15090.